These docs are for v2.3. Click to read the latest docs for v3.0.

Edit the given account alternate reference

Note: Ensure that any account reference and alternate reference included in the URL are URL-encoded. This prevents issues with invalid URL characters, such as spaces or special characters, which may cause the request to fail. Do not encode the account reference or alternate reference in the JSON body of the PATCH request; only encode them in the URL parameters.

Sample Request:

PATCH /api/v2.3/accounts/ALB03-RA/alternateReferences/KIRK+2+Albert
{
    "newAlternateReference": "TEST-456-RA",
    "newReferenceType": "HA"
}

Required Permission(s): Occupancy.ManageAccounts

Path Params
string
required
string
required
Body Params
string | null

The New Account Alternate Reference

string | null

The Reference Type

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses
204

No Content

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json